// Command definitions
const Discord = require("discord.js")

module.exports = {
	global: [
		// Use SlashCommandBuilder for command creation
		{
			name: "lookup",
			description: "Look up a ban",
			options: [
				{
					type: Discord.ApplicationCommandOptionType.Subcommand,
					name: "ban-id",
					description: "Look up a ban by ban ID",
					options: [
						{
							type: Discord.ApplicationCommandOptionType.String,
							name: "ban-id",
							description: "The ban ID",
							required: true
						}
					]
				},
				{
					type: Discord.ApplicationCommandOptionType.Subcommand,
					name: "roblox-id",
					description: "Look up bans by Roblox ID",
					options: [
						{
							type: Discord.ApplicationCommandOptionType.String,
							name: "roblox-id",
							description: "The Roblox ID",
							required: true
						}
					]
				},
				{
					type: Discord.ApplicationCommandOptionType.Subcommand,
					name: "discord-id",
					description: "Look up bans by Discord ID",
					options: [
						{
							type: Discord.ApplicationCommandOptionType.String,
							name: "discord-id",
							description: "The Discord ID",
							required: true
						}
					]
				}
			]
		}
	],
	admin: []
}